Subject: bug#17372: GNU mv

From: Scott Brunner <[email-masked]>
Date: Tue, 29 Apr 2014 14:57:10 -0400

Hi Eric,

Thanks so much for the help and all you guys do supporting the GNU projects... Have a good day - sir !

Regards,
Scott

Sent from my iPad

> On Apr 29, 2014, at 11:10, Eric Blake <[email-masked]> wrote:
> 
> tag 17372 notabug
> thanks
> 
>> On 04/29/2014 08:34 AM, Scott Brunner wrote:
>> Hi Folks,
>> 
>> Not sure I'm in the right place - but - I'm having a problem with the "mv" command in Cygwin's Unix emmulator...
> 
> Yes, this is the right place; you'd see the same behavior on Linux,
> which means it is not cygwin-specific (if you do encounter something
> that you cannot reproduce on Linux, then the cygwin lists are a better
> place for that question).
> 
>> The man page directed me to this address... I have a bunch of files that all start with the "-" character (-moo, -moo1, -moo2)... Obviously the "-" is treated as a switch in the Unix world - so you can't do simple moves as you would in Solaris... I'm not sure if the goal of your GNU release is supposed to match the functionality of Unix but I just wanted to point this out in case you were unaware...
>> 
>> In Solaris - this works: 
>> 
>>    mv -f - '-moo' SCO-moo
> 
> That behavior is not required by POSIX.  But what POSIX _does_ require
> is that:
> 
> mv -f -- -moo SCO-moo
> 
> does the right thing, and GNU mv complies with that.  You can also use:
> 
> mv -f ./-moo SCO-moo
> 
> 
> You have asked a FAQ; for more details:
> 
> https://www.gnu.org/software/coreutils/faq/coreutils-faq.html#I-have-a-file-called-_002d_002dhelp_002e-How-do-I-remove-it_003f
> 
> Therefore, I'm closing this as not a bug, although you can continue to
> respond to the thread if you have more questions on the topic.
> 
> -- 
> Eric Blake   eblake redhat com    +1-919-301-3266
> Libvirt virtualization library http://libvirt.org
>